.title-block {
  width: 100%;
  background: linear-gradient(
    to right,
    rgba(24, 24, 132, 0.9),
    rgba(82, 20, 20, 0.9)
  );
  padding: 2em 0;
  display: flex;
  align-items: center;
  justify-content: center;
}

.content-title {
  text-transform: uppercase;
  font-family: Verdana;
  font-size: 2.4rem;
  font-weight: 600;
  background: linear-gradient(
    to right,
    rgba(5, 158, 247, 0.8),
    rgba(234, 221, 222, 0.92)
  );
  background-clip: text;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}
.about-content {
  background: linear-gradient(
    to bottom,
    rgba(178, 178, 216, 0.2),
    rgba(209, 199, 199, 0.2)
  );
  padding: 1em;
  margin-top: 0.5em;
}

.skills-details {
  background: linear-gradient(
    to bottom,
    rgba(178, 178, 216, 0.2),
    rgba(209, 199, 199, 0.2)
  );
  padding: 1em;
  margin-top: 0.5em;
}
.tek-stack {
  width: 100%;
  text-align: center;
}
.tek-title {
  color: #ccc;
  font-size: 1.6rem;
  text-transform: uppercase;
  font-family: tahoma;
  margin: 1rem;
}
.skills-container {
  background-color: rgba(255, 255, 255, 0.689);
}
.skills-cards {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(160px, 1fr));
  gap: 1rem;
  padding: 1rem;
}
.skills-card {
  border: 1px solid rgb(31, 28, 28);
  border-radius: 0.9rem;
  padding: 1.3rem;
  cursor: pointer;
}
.top img {
  width: 85%;
  height: 16rem;
}
.bottom {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
}
.bottom .tech-title {
  text-align: center;
  padding: 1rem 0;
  color: rgba(0, 0, 255, 0.9);
  font-family: verdana;
  font-weight: 600;
  font-size: 2rem;
}
.learn-more {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  opacity: 0;
  transition: all 0.5s ease;
}
.learn-more-btn {
  background-color: rgb(49, 49, 91);
  cursor: pointer;
  border-radius: 1.9rem;
  color: aliceblue;
  padding: 1rem;
  width: 15rem;
  z-index: 9;
  font-weight: 600;
  font-size: 1.4rem;
  margin-top: 1.3rem;
  outline: none;
}
.bottom .learn-more {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
}
.learn-more-btn {
  position: absolute;
  transform: translateY(-70%);
}
.skills-card:hover .learn-more {
  opacity: 1;
}
img {
  width: 100%;
}

@media screen and (max-width: 489px) {
  .skills-cards {
    grid-template-columns: repeat(auto-fit, minmax(130px, 1fr));
  }
}
